OpenNMS API 1.2.9

## org.opennms.netmgt.eventd
Interface EventListener

All Known Implementing Classes:
  BroadcastEventProcessor, BroadcastEventProcessor, BroadcastEventProcessor, BroadcastEventProcessor, BroadcastEventProcessor, BroadcastEventProcessor, BroadcastEventProcessor, BroadcastEventProcessor, BroadcastEventProcessor, BroadcastEventProcessor, BroadcastEventProcessor, DefaultPollContext, MockPollContext, OutageAnticipator, OutageMgrEventProcessor, PollerEventProcessor

public interface EventListener

The interface to be implemented by all services that wish to receive events from Eventd.

Author:
  Brian Weaver , OpenNMS.org

Method Summary
`java.lang.String` `getName()` Return the id of the listener
`void` `onEvent(Event e)` Process a sent event.

Method Detail

### getName

    public java.lang.String getName()

  Return the id of the listener

### onEvent

    public void onEvent(Event e)

  Process a sent event.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.